Package com.collibra.dgc.core.api.dto.role

# Class FindRolesRequest

Object
PagedRequest
FindRolesRequest

All Implemented Interfaces:
  `Serializable`

public class FindRolesRequest extends PagedRequest
Represents the search criteria to find a role.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `FindRolesRequest.Builder`
  `static enum`
  `FindRolesRequest.RoleInheritanceMode`
  `static enum`
  `FindRolesRequest.TypeMatchMode`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindRolesRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindRolesRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getDescription()`
  The description of the role to search for.
  `Boolean`
  `getGlobal()`
  Deprecated.
  `String`
  `getName()`
  The name of the role to search for.
  `MatchMode`
  `getNameMatchMode()`
  The match mode used to compare `name`.
  `UUID`
  `getOwnerId()`
  `FindRolesRequest.RoleInheritanceMode`
  `getRoleInheritanceMode()`
  `RoleRequestSortField`
  `getSortField()`
  `SortOrder`
  `getSortOrder()`
  `String`
  `getSystemName()`
  `FindRolesRequest.TypeMatchMode`
  `getType()`
  Indicates which type of roles should be searched for.
  `int`
  `hashCode()`
  `boolean`
  `isIncludeDisabled()`
  `void`
  `setDescription(String description)`
  The description of the role to search for.
  `void`
  `setGlobal(Boolean global)`
  Deprecated.
  `void`
  `setIncludeDisabled(boolean includeDisabled)`
  `void`
  `setName(String name)`
  The name of the role to search for.
  `void`
  `setNameMatchMode(MatchMode nameMatchMode)`
  The match mode used to compare `name`.
  `void`
  `setOwnerId(UUID ownerId)`
  `void`
  `setRoleInheritanceMode(FindRolesRequest.RoleInheritanceMode roleInheritanceMode)`
  `void`
  `setSortField(RoleRequestSortField sortField)`
  `void`
  `setSortOrder(SortOrder sortOrder)`
  `void`
  `setSystemName(String systemName)`
  `void`
  `setType(FindRolesRequest.TypeMatchMode type)`
  Indicates which type of roles should be searched for.
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindRolesRequest

    public FindRolesRequest()

- ## Method Details

  - ### builder

    public static FindRolesRequest.Builder builder()

  - ### getName

    public String getName()
    The name of the role to search for.

  - ### getNameMatchMode

    public MatchMode getNameMatchMode()
    The match mode used to compare `name`. The search is case-insensitive.

  - ### getDescription

    public String getDescription()
    The description of the role to search for.

  - ### getGlobal

    @Deprecated public Boolean getGlobal()
    Deprecated.
    Whether global roles should be searched for.

  - ### getOwnerId

    public UUID getOwnerId()

  - ### getRoleInheritanceMode

    public FindRolesRequest.RoleInheritanceMode getRoleInheritanceMode()

  - ### getSortField

    public RoleRequestSortField getSortField()

  - ### getSortOrder

    public SortOrder getSortOrder()

  - ### isIncludeDisabled

    public boolean isIncludeDisabled()

  - ### getSystemName

    public String getSystemName()

  - ### getType

    public FindRolesRequest.TypeMatchMode getType()
    Indicates which type of roles should be searched for. Usage is mutually exclusive with the deprecated `global` flag.

  - ### setName

    public void setName(String name)
    The name of the role to search for.

  - ### setNameMatchMode

    public void setNameMatchMode(MatchMode nameMatchMode)
    The match mode used to compare `name`. The search is case-insensitive.

  - ### setDescription

    public void setDescription(String description)
    The description of the role to search for.

  - ### setGlobal

    @Deprecated public void setGlobal(Boolean global)
    Deprecated.
    Whether global roles should be searched for.

  - ### setOwnerId

    public void setOwnerId(UUID ownerId)

  - ### setRoleInheritanceMode

    public void setRoleInheritanceMode(FindRolesRequest.RoleInheritanceMode roleInheritanceMode)

  - ### setSortField

    public void setSortField(RoleRequestSortField sortField)

  - ### setSortOrder

    public void setSortOrder(SortOrder sortOrder)

  - ### setIncludeDisabled

    public void setIncludeDisabled(boolean includeDisabled)

  - ### setSystemName

    public void setSystemName(String systemName)

  - ### setType

    public void setType(FindRolesRequest.TypeMatchMode type)
    Indicates which type of roles should be searched for. Usage is mutually exclusive with the deprecated `global` flag.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`